{
    "exclude": [
        "node_modules",
        "__test__",
        "__mocks__",
        "docs",
        "babel.config.js",
        "metro.config.js",
        "setup-jest.js",
        "rn-cli.config.js",
        "<outDir>"
    ],
    "include": ["src/**/*"],
    "files": ["index.tsx", "src/index.d.ts"],
    "compilerOptions": {
        "forceConsistentCasingInFileNames": true,
        "moduleResolution": "node",
        "noFallthroughCasesInSwitch": true,
        "noImplicitReturns": true,
        "noUnusedParameters": true,
        "noUnusedLocals": true,
        "alwaysStrict": true,
        "noImplicitThis": true,
        "strictPropertyInitialization": true,
        "strictBindCallApply": true,
        "strictFunctionTypes": true,
        "resolveJsonModule": true,
        "strictNullChecks": true,
        "noImplicitAny": true,
        "allowSyntheticDefaultImports": true,
        "strict": true,
        "rootDir": "./",
        "jsx": "react-native",
        "lib": ["es6"],
        "module": "es2020",
        "target": "ES2020"
    }
}
